unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, NxEdit, ExtCtrls, NxColumnList, ComCtrls, Buttons;

type
  TForm2 = class(TForm)
    Button1: TButton;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    NxBorderPicker1: TNxBorderPicker;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Label3: TLabel;
    NxColorPicker1: TNxColorPicker;
    NxLineStyleList1: TNxLineStyleList;
    Label4: TLabel;
    Button2: TButton;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    BitBtn4: TBitBtn;
    TabSheet2: TTabSheet;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure BitBtn4Click(Sender: TObject);
    procedure NxColorPicker1Change(Sender: TObject);
  private
    { Private declarations }
  public

  end;

var
  Form2: TForm2;

implementation

uses Unit1, NxSheet, NxSheetCell;

{$R *.dfm}

procedure TForm2.BitBtn1Click(Sender: TObject);
begin
  NxBorderPicker1.BorderTop.Assign(NxBorderPicker1.Selected);
  NxBorderPicker1.Invalidate;
end;

procedure TForm2.BitBtn2Click(Sender: TObject);
begin
  NxBorderPicker1.BorderBottom.Assign(NxBorderPicker1.Selected);
  NxBorderPicker1.Invalidate;
end;

procedure TForm2.BitBtn3Click(Sender: TObject);
begin
  NxBorderPicker1.BorderLeft.Assign(NxBorderPicker1.Selected);
  NxBorderPicker1.Invalidate;
end;

procedure TForm2.BitBtn4Click(Sender: TObject);
begin
  NxBorderPicker1.BorderRight.Assign(NxBorderPicker1.Selected);
  NxBorderPicker1.Invalidate;
end;

procedure TForm2.NxColorPicker1Change(Sender: TObject);
begin
  NxLineStyleList1.LineColor := NxColorPicker1.SelectedColor; 
end;

end.
